## diffview.el
*View diffs in side-by-side format*

---

Render a unified diff (top/bottom) in an easy-to-comprehend side-by-side
format.  This comes in handy for reading patches from mailing lists (or
from whencever you might acquire them).

### Installation


    M-x package-install diffview

### Usage


The following functions are provided for launching a side-by-side diff:

* `diffview-current` : View the current diff buffer side-by-side
* `diffview-region` : View the current diff region side-by-side
* `diffview-message` : View the current email message (which presumably
   contains a patch) side-by-side

### Function Documentation


#### `(diffview-current)`

Show current diff buffer in a side-by-side view.

#### `(diffview-region)`

Show current diff region in a side-by-side view.

#### `(diffview-message)`

Show `message-mode` buffer in a side-by-side view.

This is useful for reading patches from mailing lists.

-----

Markdown README file generated by
make-readme-markdown.el (https://github.com/mgalgs/make-readme-markdown)

